# PSF-LoginServer - master - net.psforever.objects.serverobject.transfer.TransferBehavior
PSF - LoginServer - master - net.psforever.objects.serverobject.transfer.TransferBehavior
Keywords: PSF LoginServer master net.psforever.objects.serverobject.transfer.TransferBehavior

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package transfer
  Definition Classes
    serverobject
- TransferBehavior
- TransferContainer

o

net.psforever.objects.serverobject.transfer

# TransferBehavior 

###
Companion trait TransferBehavior

#### object TransferBehavior

Source
  TransferBehavior.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TransferBehavior
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  final case class Charging (transferMaterial: Any) extends Product with Serializable

   Message to cue a process of transferring into oneself.

2.  final case class Discharging (transferMaterial: Any) extends Product with Serializable

   Message to cue a process of transferring from oneself.

3.  final case class Stopping () extends Product with Serializable

   Message to cue a stopping the transfer process.

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def FindNoTargets(obj: TransferContainer, optionalTarget: Option[TransferContainer]): Option[TransferContainer]

   A default search function that does not actually search for anything or ever find anything.

   A default search function that does not actually search for anything or ever find anything.

   obj

     an entity designated as the "origin"

   optionalTarget

     an optional entity that can be one of the discovered targets

   returns

     always returns `None`

5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
21.  object Event extends Enumeration

### Inherited from AnyRef

### Inherited from Any

### Ungrouped